{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Gets all custom deployment protection rules that are enabled for an environment. Anyone with read access to the repository can use this endpoint. For more information about environments, see \"[Using environments for deployment](https://docs.github.com/actions/deployment/targeting-different-environments/using-environments-for-deployment).\"\n\nFor more information about the app that is providing this custom deployment rule, see the [documentation for the `GET /apps/{app_slug}` endpoint](https://docs.github.com/rest/apps/apps#get-an-app).\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.","properties":{"path":{"type":"object","properties":{"environment_name":{"type":"string","description":"The name of the environment. The name must be URL encoded. For example, any slashes in the name must be replaced with `%2F`."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."}},"required":["environment_name","repo","owner"],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Get all deployment protection rules for an environment","id":"github.repos.get-all-deployment-protection-rules","example":{"path":{"environment_name":"example","repo":"hello-world","owner":"octocat"}},"maxRequests":1,"summary":false}}